<?xml version="1.0" encoding="UTF-8"?>

<document>
  <properties>
    <title>Maven Webserver Plugin Goals</title>
    <author email="dion@apache.org">dIon Gillard</author>
  </properties>
  <body>
    <goals>
      <goal>
        <name>webserver:clean</name>
        <description>Safely delete an installed webserver instance</description>
      </goal>
      <goal>
        <name>webserver:cycle</name>
        <description>Forced install and start of a webserver instance</description>
      </goal>
      <goal>
        <name>webserver:init</name>
        <description>Initialize resources needed for the plugin</description>
      </goal>
      <goal>
        <name>webserver:install</name>
        <description>Install a webserver instance</description>
      </goal>
      <goal>
        <name>webserver:reinstall</name>
        <description>Reinstall a webserver instance</description>
      </goal>
      <goal>
        <name>webserver:restart</name>
        <description>Restart a webserver instance</description>
      </goal>
      <goal>
        <name>webserver:start</name>
        <description>Start a webserver instance</description>
      </goal>
      <goal>
        <name>webserver:stop</name>
        <description>Stop a webserver instance</description>
      </goal>
    </goals>
  </body>
</document>